## org.apache.cassandra.db.compaction
Interface CompactionManagerMBean

All Known Implementing Classes:
  CompactionManager

    public interface CompactionManagerMBean

Method Summary
`void` `forceUserDefinedCompaction(java.lang.String ksname, java.lang.String dataFiles)` Triggers the compaction of user specified sstables.
`java.util.List<CompactionInfo>` `getCompactions()` List of running compaction objects.
`java.util.List<java.lang.String>` `getCompactionSummary()` List of running compaction summary strings.
`long` `getCompletedTasks()`
`int` `getPendingTasks()`

Method Detail

### getCompactions

    java.util.List<CompactionInfo> getCompactions()

  List of running compaction objects.

### getCompactionSummary

    java.util.List<java.lang.String> getCompactionSummary()

  List of running compaction summary strings.

### getPendingTasks

    int getPendingTasks()

  Returns:
    estimated number of compactions remaining to perform

### getCompletedTasks

    long getCompletedTasks()

  Returns:
    number of completed compactions since server [re]start

### forceUserDefinedCompaction

    void forceUserDefinedCompaction(java.lang.String ksname,
                                    java.lang.String dataFiles)

  Triggers the compaction of user specified sstables.

  Parameters:
    `ksname` - the keyspace for the sstables to compact
    `dataFiles` - a comma separated list of sstable filename to compact

Copyright © 2012 The Apache Software Foundation